# frozen_string_literal: true

require_relative "lib/bundler_ignore_universal/version"

Gem::Specification.new do |spec|
  spec.name          = "bundler_ignore_universal"
  spec.version       = BundlerIgnoreUniversal::VERSION
  spec.authors       = ["Bouke van der Bijl"]
  spec.email         = ["i@bou.ke"]

  spec.summary       = "Ignore 'universal' gems that probably don't work on M1 Macs"
  spec.homepage      = "https://github.com/bouk/bundler_ignore_universal"
  spec.license       = "MIT"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.4.0")

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{\A(?:test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{\Aexe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  # Uncomment to register a new dependency of your gem
  # spec.add_dependency "example-gem", "~> 1.0"

  # For more information and examples about making a new gem, checkout our
  # guide at: https://bundler.io/guides/creating_gem.html
end
